Update a variantAsk AIpatch https://api.katanamrp.com/v1/variants/{id}Updates the specified variant by setting the values of the parameters passed. Any parameters not provided will be left unchanged.Path ParamsidintegerrequiredVariant idBody ParamsVariant detailsskustringsales_pricenumber | null0 to 100000000000purchase_pricenumber | null0 to 100000000000product_idinteger≤ 2147483647supplier_item_codesarray of stringslength ≥ 1supplier_item_codes stringADD stringinternal_barcodestringlength between 3 and 40registered_barcodestringlength ≤ 120material_idinteger≤ 2147483647lead_timeinteger | null≤ 999minimum_order_quantitynumber | null0 to 999999999config_attributesarray of objectslength ≥ 1config_attributes objectconfig_namestringrequiredIf a matching config name is not found, an error is returned. Use the product/material endpoint to update the configs.config_valuestringrequiredIf a matching config name is not found, the product/material config list of values is updated, and a new value is added.ADD objectcustom_fieldsarray of objectslength ≤ 3custom_fieldsADD objectResponses 200Variant updated 401Make sure you've entered your API token correctly. 422Check the details property for a specific error message. 429The rate limit has been reached. Please try again later. 500The server encountered an error. If this persists, please contact supportUpdated 7 months ago